Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
phamvanthiet108

[ Yêu cầu ] Lisp vẽ giao điểm hai tiếp tuyến

Các bài được khuyến nghị

E có 1 đường cong muốn vẽ giao điểm hai tiếp tuyến tại hai điểm A, B hai điểm đầu, cuối của đường cong như Trong file

http://www.cadviet.c...92_drawing1.dwg

 

. Mong các bác giúp em chứ vẽ thủ công vất lắm ( em phải vẽ nhiều giao điểm hai tiếp tuyến của đường cong như thế này )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lisp vẽ 2 tiếp tuyến tại 2 đầu mút Curve đến điểm giao của chúng.

;Doan Van Ha - CADViet.com - Ngay 03/7/2012
;Muc dich: Ve 2 tiep tuyen tai 2 dau Curve den diem giao cua chung.
(defun C:HA( / obj pd pc gocd gocc pg)
(vl-load-com)
(princ "\nChon cac Curve can ve 2 tiep tuyen...")
(ssget '((0 . "*LINE,ARC")))
(vlax-for obj (vla-get-ActiveSelectionSet (vla-get-ActiveDocument (vlax-get-acad-object)))
 (setq pd (vlax-curve-getStartPoint obj))
 (setq pc (vlax-curve-getEndPoint obj))
 (setq gocd (angle '(0 0 0) (vlax-curve-getFirstDeriv obj (vlax-curve-getParamAtPoint obj pd))))
 (setq gocc (angle '(0 0 0) (vlax-curve-getFirstDeriv obj (vlax-curve-getParamAtPoint obj pc))))
 (setq pg (inters pd (polar pd gocd 1) pc (polar pc gocc 1) nil))
 (LWPoly (list pd pg pc) 0))
(princ))
(defun LWPoly (lst cls)
(entmake (append (list (cons 0 "LWPOLYLINE") (cons 100 "AcDbEntity") (cons 100 "AcDbPolyline") (cons 90 (length lst)) (cons 70 cls))
                               	(mapcar (function (lambda (p) (cons 10 p))) lst))))

P/S (04/7/2012): hiệu chỉnh để vẽ được nhiều curve được chọn.

  • Vote tăng 4

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

E có 1 đường cong muốn vẽ giao điểm hai tiếp tuyến tại hai điểm A, B hai điểm đầu, cuối của đường cong như Trong file

http://www.cadviet.c...92_drawing1.dwg

 

. Mong các bác giúp em chứ vẽ thủ công vất lắm ( em phải vẽ nhiều giao điểm hai tiếp tuyến của đường cong như thế này )

dryheryy222.jpg

 

Vẽ thủ công cũng đơn giản thôi mà bác!

Shift + Chuột phải > chọn Osnap Setting > Hiện ra bảng trên > Bấm chọn như hình vẽ.

Gõ L > Polar tracking theo hai điểm A và B > Bấm chọn điểm P khi hiện ra dấu X nhỏ mầu trắng rồi tiếp tục vẽ.

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

 

Vẽ thủ công cũng đơn giản thôi mà bác!

Shift + Chuột phải > chọn Osnap Setting > Hiện ra bảng trên > Bấm chọn như hình vẽ.

Gõ L > Polar tracking theo hai điểm A và B > Bấm chọn điểm P khi hiện ra dấu X nhỏ mầu trắng rồi tiếp tục vẽ.

 

 

Hề hề hề,

Bác Haanh cho minh hỏi chút xíu, vì sao trên Cad2004 của mình không thể thực hiện được như bác đã hướng dẫn. Sau khi mình chọn hai điểm temporary tracking point thì nó chỉ cho chọn vết theo các trục tọa độ chứ không cho chọn theo phương tiếp tuyến bác ạ.

Có nhẽ CAD2004 của mình có vấn đê gì chăng?? hay phải thiết lập lại biến hệ thống nào hả bác???

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Khi thực hiện em di chuột qua 2 điểm A và B sau đó di chuột theo hướng tiếp tuyến, được liền. (Cũng có thể AutoCAD2004 nó không hỗ trợ)

 

123123ggg.jpg

 

Nếu đã di chuột theo trục tọa độ (bước 1), bác thử kéo xuống và di chuột theo hướng tiếp tuyến xem có được không?

 

3.jpg

 

Sau khi gõ lệnh L , em di chuột qua 2 điểm A và B sau đó di chuột theo hướng tiếp tuyến, được liền. (Cũng có thể AutoCAD2004 nó không hỗ trợ Tangent bác ạ!)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bác phải tick vào Tangent nữa nó mới bắt theo 2 tiếp tuyến.

Hề hề hề,

Vẫn không được bác ạ, kể cả khi mình tắt hết osnap chỉ để lại tangent. Vậy mới kỳ cục. Chắc là CAd của minh bị lỗi chứ không phải bác haanh hướng dẫn sai đâu....

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thực ra, không cần Polar Tracking gì cả. Chỉ osnap vào Entpoint và Tangent là vẽ được 2 tiếp tuyến và điểm giao.

Cách vẽ: rê chuột đến từng endpoint, sau đó rê từ từ để dò điểm giao. Nó sẽ xuất hiện 2 đường "chấm chấm" và giao là 1 "dấu x".

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Vẫn không được bác ạ, kể cả khi mình tắt hết osnap chỉ để lại tangent. Vậy mới kỳ cục. Chắc là CAd của minh bị lỗi chứ không phải bác haanh hướng dẫn sai đâu....

Hình như CAD 2004 chưa hỗ trợ bác Bình à. Một lần nữa, bác nên chuyển từ từ qua các version mới hơn. Nếu bác ngại thì khi cài autoCAD, bác chọn Migrate Custom Setting, nó sẽ copy toàn bộ những gì bác đã customize qua luôn. Bác cứ dùng 2 bản song song cho đến khi nào thấy đã đầy đủ thì chuyển hẳn sang version mới. Thứ lỗi cho Chiron đã nhắc lại 1 lần nữa vì thấy tiếc cho bác quá.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đã đi mượn máy để kiểm tra cho bác PTB. Kết quả: cad2004 im hơi lặng tiếng!

Thôi thì, bác chuyển đời lên đi, chí ít cũng thêm +3 nữa. Tôi tài trợ bác... sự khuyến khích! :D

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thực ra, không cần Polar Tracking gì cả. Chỉ osnap vào Entpoint và Tangent là vẽ được 2 tiếp tuyến và điểm giao.

Cách vẽ: rê chuột đến từng endpoint, sau đó rê từ từ để dò điểm giao. Nó sẽ xuất hiện 2 đường "chấm chấm" và giao là 1 "dấu x".

Em vẫn dùng F10 và F11 để tắt và bật. Khi dòng command hiện <Polar off> và <Object Snap Tracking off> ==> di chuột không hiện ra ..."chấm chấm" :

Command: <Polar off> ( nhấn F10)

Command: <Object Snap Tracking off> ( nhấn F11)

(Em đã kiểm tra lại: CAD 2004 không hỗ trợ Tangent. AutoCAD đời mới hỗ trợ nhiều Polar Tracking ( Không cần phải lựa chọn Increment angle ) . Vẽ 3D cũng thoáng hơn.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em vẫn dùng F10 và F11 để tắt và bật. Khi dòng command hiện <Polar off> và <Object Snap Tracking off> ==> di chuột không hiện ra ..."chấm chấm" :

Command: <Polar off> ( nhấn F10)

Command: <Object Snap Tracking off> ( nhấn F11)

(Em đã kiểm tra lại: CAD 2004 không hỗ trợ Tangent. AutoCAD đời mới hỗ trợ nhiều Polar Tracking ( Không cần phải lựa chọn Increment angle ) . Vẽ 3D cũng thoáng hơn.

F10 (Polar Tracking) thì ON hay OFF đều không sao cả, chỉ F11 thôi.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

dfwtew3w.jpg

 

Khi ở trạng thái bấm chọn như hình ảnh, sẽ có hai khả năng:

 

1-) F11 (Object Snap Tracking) thì ON hay OFF đều không sao cả. OFF chỉ bắt được Tangent; ON bắt được Tangent , phương OX, OY và góc giữa hai đường thẳng (Nếu có bấm chọn khác...).

2-) Nếu F10 (Polar) OFF và F11 (Object Snap Tracking) OFF, sẽ có sao là không bắt được Tangent >> Muốn bắt được phải nhấn F11 hoặc nhấn F10 thêm một lần nữa.

 

Tóm cổ lại: Trong mọi trường hợp, để tránh phiền toái và tiện lợi nhiều mặt, khi vẽ bình thường đóng (OFF) cả F10 vàF11; khi cần Polar tracking mở (ON) cả F10 và F11 cho nó lành, bác ạ!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×